# This file is part of TestCov,
# a robust test executor with reliable coverage measurement:
# https://gitlab.com/sosy-lab/software/test-suite-validator/
#
# SPDX-FileCopyrightText: 2019-2021 Dirk Beyer <https://www.sosy-lab.org>
#
# SPDX-License-Identifier: Apache-2.0

# This is a Docker image for running the tests.
# It should be pushed to registry.gitlab.com/sosy-lab/software/test-suite-validator/test
# and will be used by CI as declared in .ci/gitlab-ci.yml.
#
# Commands for updating the image:
# docker build --pull -t registry.gitlab.com/sosy-lab/software/test-suite-validator/test:python-3.9 - < .ci/Dockerfile.python-3.9
# docker push registry.gitlab.com/sosy-lab/software/test-suite-validator/test:python-3.9

FROM registry.gitlab.com/sosy-lab/software/test-suite-validator/test:plain

RUN apt-get update && apt-get install -y wget libssl-dev libsqlite3-dev \
  && rm -rf /var/lib/apt/lists/*

RUN wget https://www.python.org/ftp/python/3.9.9/Python-3.9.9.tgz \
  && tar xf Python-3.9.9.tgz \
  && cd Python-3.9.9 \
  && ./configure \
  && make \
  && make install \
  && cd - \
  && rm -r Python-3.9.9 Python-3.9.9.tgz
RUN ln -s /usr/local/bin/python3.9 /bin/python
 
RUN /bin/python -m pip install -U pip && /bin/python -m pip install \
  coverage \
  lxml \
  benchexec \
  matplotlib \
  numpy \
  pycparser \
  pytest \
  pytest-cov \
  tsbuilder